{
  "name": "simple-app-ui",
  "version": "0.0.1",
  "description": "Simple App",
  "homepage": "hhttps://gitlab.com/matveikinner-public/assignments/hiq-finland-oy/simple-app-ui",
  "license": "MIT",
  "author": "Matvei Kinner",
  "main": "core/ui/index.tsx",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/matveikinner-public/assignments/hiq-finland-oy/simple-app-ui"
  },
  "scripts": {
    "start:dev": "webpack serve --config configs/webpack/webpack.development.ts",
    "build:dev": "webpack --config configs/webpack/webpack.development.ts",
    "build:prod": "webpack --config configs/webpack/webpack.production.ts",
    "test:staged": "jest -o",
    "test": "jest --watchAll --verbose",
    "lint": "eslint --fix *.{js,ts,jsx,tsx}",
    "postinstall": "husky install"
  },
  "dependencies": {
    "@emotion/react": "^11.5.0",
    "@emotion/styled": "^11.3.0",
    "@mui/icons-material": "^5.0.5",
    "@mui/material": "^5.0.6",
    "@mui/system": "^5.0.6",
    "@types/uuid": "^8.3.1",
    "axios": "^0.24.0",
    "compression-webpack-plugin": "^9.0.0",
    "connected-react-router": "^6.9.1",
    "history": "^4.10.1",
    "inversify": "^6.0.1",
    "moment": "^2.29.1",
    "ramda": "^0.27.1",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-hook-form": "^7.18.1",
    "react-redux": "^7.2.6",
    "react-router-dom": "^5.3.0",
    "redux": "^4.1.2",
    "redux-saga": "^1.1.3",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.4.0",
    "uuid": "^8.3.2",
    "validator": "^13.7.0"
  },
  "devDependencies": {
    "@babel/core": "^7.15.8",
    "@babel/plugin-proposal-class-properties": "^7.14.5",
    "@babel/plugin-proposal-decorators": "^7.15.8",
    "@babel/plugin-transform-runtime": "^7.15.8",
    "@babel/preset-env": "^7.15.8",
    "@babel/preset-react": "^7.14.5",
    "@babel/preset-typescript": "^7.15.0",
    "@commitlint/cli": "^13.2.1",
    "@testing-library/jest-dom": "^5.14.1",
    "@testing-library/react": "^12.1.2",
    "@types/compression-webpack-plugin": "^9.0.0",
    "@types/dotenv-webpack": "^7.0.3",
    "@types/jest": "^27.0.2",
    "@types/node": "^16.11.6",
    "@types/ramda": "^0.27.46",
    "@types/react": "^17.0.33",
    "@types/react-dom": "^17.0.10",
    "@types/react-router-dom": "^5.3.2",
    "@types/validator": "^13.6.6",
    "@types/webpack-dev-server": "^4.3.1",
    "@typescript-eslint/eslint-plugin": "^4.29.3",
    "@typescript-eslint/parser": "^4.29.3",
    "babel-loader": "^8.2.3",
    "commitlint-config-jira": "^1.5.1",
    "commitlint-plugin-jira-rules": "^1.5.1",
    "dotenv-webpack": "^7.0.3",
    "eslint": "^7.32.0",
    "eslint-config-airbnb-typescript": "^14.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-import": "^2.25.2",
    "eslint-plugin-jest": "^25.2.2",
    "eslint-plugin-jest-dom": "^3.9.2",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-react": "^7.26.1",
    "eslint-plugin-react-hooks": "^4.2.0",
    "eslint-plugin-testing-library": "^5.0.0",
    "html-webpack-plugin": "^5.5.0",
    "husky": "^7.0.0",
    "jest": "^27.3.1",
    "lint-staged": "^11.2.6",
    "msw": "^0.35.0",
    "prettier": "^2.4.1",
    "ts-node": "^10.4.0",
    "typescript": "^4.4.4",
    "webpack": "^5.60.0",
    "webpack-cli": "^4.9.1",
    "webpack-dev-server": "^4.4.0"
  }
}
